unit DataModule;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Modules, Forms.Main,
  Sphinx.WebLogin;

type
  TdmAuth = class(TWebDataModule)
    SphinxWebLogin: TSphinxWebLogin;
    procedure SphinxWebLoginUserLoggedIn(Args: TUserLoggedInArgs);
    procedure WebDataModuleCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  dmAuth: TdmAuth;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}

procedure TdmAuth.SphinxWebLoginUserLoggedIn(Args: TUserLoggedInArgs);

  procedure DisplayLoginView;
  begin
    SphinxWebLogin.Login;
  end;

begin
  if Assigned(Form1) then Form1.Free;
    TForm1.Display(@DisplayLoginView);
end;

procedure TdmAuth.WebDataModuleCreate(Sender: TObject);
begin
  SphinxWebLogin.Login;
end;

end.
